Rails.application.routes.draw do
  namespace :panel do
    namespace :personal_journal do
      namespace :desktop do
        match 'journal_window'=>'journal_windows#journal_window'
        match 'get_journals_json' => 'journal_pages#get_journals_json'
        match 'journal_type' => 'journal_pages#journal_type'
        resources :journal_pages, except: :show
        resources :journal_co_authors, except: :show
        resources :journal_co_author_relations, except: :show
        resources :plugin_intros
      end

      namespace :back_end do
        match 'writing_journal_setting' => "writing_journals#writing_journal_setting" ,:as => :writing_journal_setting
        resources :writing_journals do
          collection do
            get 'delete'
            get 'data_share'
          end

          match "level_type_quick_add" => "writing_journals#level_type_quick_add" ,:as => :level_type_quick_add
          match "level_type_quick_edit" => "writing_journals#level_type_quick_edit" ,:as => :level_type_quick_edit
          match "author_type_quick_add" => "writing_journals#author_type_quick_add" ,:as => :author_type_quick_add
          match "author_type_quick_edit" => "writing_journals#author_type_quick_edit" ,:as => :author_type_quick_edit
          match "paper_type_quick_add" => "writing_journals#paper_type_quick_add" ,:as => :paper_type_quick_add
          match "paper_type_quick_edit" => "writing_journals#paper_type_quick_edit" ,:as => :paper_type_quick_edit
          match "tag_quick_add" => "writing_journals#tag_quick_add" ,:as => :tag_quick_add
          match "tag_quick_edit" => "writing_journals#tag_quick_edit" ,:as => :tag_quick_edit
        end

        resources :personal_journal_intros
        resources :journal_paper_types
        resources :journal_author_types
        resources :journal_level_types
        resources :tags
      end

      namespace :front_end do
        resources :writing_journals
      end

      namespace :plugin do
        resources :writing_journals
      end

      namespace :widget do
        match "writing_journals" => "writing_journals#index"
        match "home_list" => "writing_journals#home_list"
        match "reload_writing_journals" => "writing_journals#reload_writing_journals"
      end
    end
  end
  match "/appfront/*path" => redirect("/panel/*path")

end
